libpackagekitqt5-1-1.0.1-2.1.i586.rpm


Advertisement

Description

libpackagekitqt5-1 - Simple software installation management software

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libpackagekitqt5-1-1.0.1-2.1.i586.rpm
Package name libpackagekitqt5-1
Package version 1.0.1
Package release 2.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://packagekit.org/
License LGPL-2.1-or-later
Maintainer -
Download size 100.99 KB
Installed size 353.91 KB
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.

Alternatives

Package Version Architecture Repository
libpackagekitqt5-1-1.0.1-55.2.x86_64.rpm 1.0.1 x86_64 GNOME Next
libpackagekitqt5-1-1.0.1-55.2.i586.rpm 1.0.1 i586 GNOME Next
libpackagekitqt5-1-1.0.1-48.3.x86_64.rpm 1.0.1 x86_64 KDE Frameworks Unstable
libpackagekitqt5-1-1.0.1-48.3.i586.rpm 1.0.1 i586 KDE Frameworks Unstable
libpackagekitqt5-1-1.0.1-47.2.x86_64.rpm 1.0.1 x86_64 GNOME Factory
libpackagekitqt5-1-1.0.1-47.2.i586.rpm 1.0.1 i586 GNOME Factory
libpackagekitqt5-1-1.0.1-2.1.x86_64.rpm 1.0.1 x86_64 openSUSE Oss
libpackagekitqt5-1 - - -

Requires

Name Value
/sbin/ldconfig -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5DBus.so.5 -
libQt5DBus.so.5(Qt_5) -
libc.so.6(GLIBC_2.1.3) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
libpackagekitqt5-1 = 1.0.1-2.1
libpackagekitqt5-1(x86-32) = 1.0.1-2.1
libpackagekitqt5.so.1 -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpackagekitqt5-1-1.0.1-2.1.i586.rpm
Source Package PackageKit-Qt-1.0.1-2.1.src.rpm

Install Howto

Install libpackagekitqt5-1 rpm package:

# zypper install libpackagekitqt5-1

Files

Path
/usr/lib/libpackagekitqt5.so.1
/usr/lib/libpackagekitqt5.so.1.0.1
/usr/share/doc/packages/libpackagekitqt5-1/AUTHORS
/usr/share/doc/packages/libpackagekitqt5-1/NEWS
/usr/share/licenses/libpackagekitqt5-1/COPYING

Changelog

2019-03-06 - Antonio Larrosa <alarrosa@suse.com>
- Add patch to use the NetworkManager dbus signal when PackageKit is
not running and thus, can't emit  a propertiesUpdated signal when
the network changes its state. This is part of the fix for
boo#1103678.
* 0001-Fix-PackageKit-not-emitting-network-state-changed-signal.patch
2018-10-24 - Fabian Vogt <fabian@ritter-vogt.de>
- Add fixes until current master (9e048b7):
* 0001-Fix-pkg-config-include-path.patch
* 0002-Fix-some-documentation-typos.patch
* 0003-Make-sure-the-build-is-done-as-c-11.patch
- Update to version 1.0.1:
* Fix build against PackageKit::Offline
- Update to version 1.0.0:
* Add an Offline class to interface with PackageKit's Offline interface
* Fix parsing package data and incomplete package-ids
* Fix logic of the new string parsing
* Add missing PackageKit 1.0.2 enums
* Also optimize PackageName & friends on Transaction class
* Fix recursion by explicity setting types
* Optimize packageName & friends
* A few more updates and fixes for 1.0.0
* Modernize to C++11 and remove deprecated methods
* Bump to 1.0.0 version
- Update to version 0.10.0:
* Delete the transactions when they are done
* Merge pull request #22 from aleixpol/master
* Next version includes new API, so we need a minor version bump
* Avoid deadlock on disconnecting signals
* Add missing enums from upstream
* Implement offlineTrigger
* Make Transaction deletion match better what is really happening
* Reintroduce upgradeSystem()
* Merge pull request #16 from pvuorela/master
* Fix pkg-config file
* Drop qt4 pkg-config file
* Update cmake minimum version
* Leverage smart pointers for better memory safety
* Clean up config.cmake file
* Deprecated as I've been told it shouldn't be used anymore
* trivial: post release version bump
2018-02-26 - dimstar@opensuse.org
- Use SPDX3.0 license tags and package COPYING as %license.
2016-09-24 - zaitor@opensuse.org
- Update to version 0.9.6:
+ Features:
- Use Qt 5 by default.
- Drop Qt4 support from PK-Qt.
- Make use of QLoggingCategory packagekitqt.
- Change default visibility to hidden.
- Require at least Qt 5.6.
+ Bugfixes:
- Fix compilation with strict QString() constructors on a host
application.
- Move enumTo/FromString code from header to cpp file.
- No need to have random files marked as executable.
- Reduce changes between QString <-> QByteArray.
- Properly expose enums for introspection.
- Remove multi-spec handling: only PackageKit-Qt is now built. The
former PackageKit-Qt5 assumes the identify of PK-Qt now.
+ Obsolete/Provide PackageKit-Qt5-devel by Pk-Qt-devel. There is
no extra handling needed for the library subpackage.
2014-11-19 - zaitor@opensuse.org
- Update to version 0.9.5:
+ New Features: Add operator== to bitfield.
+ Bugfixes:
- Deprecate ::packageIcon methods.
- Disable namespacing and classes names on the generated
interfaces.
- Don't assume the target is packagekitqt5.
- Fix compilation due to not-set cmake variable.
- Fix documentation.
- Fix QPK include dir in cmake module.
- Properly export cmake targets.
- Remove daemon proxy conection to changed().
- Remove RoleUpgradeSystem as it's not supported in 0.9.x
anymore.
- Remove the metatype registration for Transaction types.
- Support RPATH by default.
- Use GNUInstallDirs to determine most of used variables.
- Use "PackageKit" as the include namespace rather than the
library name.
- Drop PackageKit-Qt-ff-7248b030c0.patch and
0001-Use-GNUInstallDirs-to-determine-most-of-used-variabl.patch:
Fixed upstream/No longer needed.

See Also

Package Description
libpagemaker-0_0-0-0.0.4-1.5.i586.rpm A library to import Adobe PageMaker documents
libpagemaker-0_0-0-0.0.4-1.5.x86_64.rpm A library to import Adobe PageMaker documents
libpagemaker-devel-0.0.4-1.5.i586.rpm Files for Developing with libpagemaker
libpagemaker-devel-0.0.4-1.5.x86_64.rpm Files for Developing with libpagemaker
libpagemaker-devel-doc-0.0.4-1.5.noarch.rpm Documentation for the libpagemaker API
libpagemaker-tools-0.0.4-1.5.i586.rpm Tools to transform Adobe PageMaker documents into other formats
libpagemaker-tools-0.0.4-1.5.x86_64.rpm Tools to transform Adobe PageMaker documents into other formats
libpainter0-0.9.10-1.1.i586.rpm Library for manipulating memory bitmaps
libpainter0-0.9.10-1.1.x86_64.rpm Library for manipulating memory bitmaps
libpamtest-devel-1.0.7-1.2.i586.rpm A tool to test PAM applications and PAM modules
libpamtest-devel-1.0.7-1.2.x86_64.rpm A tool to test PAM applications and PAM modules
libpamtest-devel-doc-1.0.7-1.2.i586.rpm The libpamtest API documentation
libpamtest-devel-doc-1.0.7-1.2.x86_64.rpm The libpamtest API documentation
libpamtest0-1.0.7-1.2.i586.rpm A tool to test PAM applications and PAM modules
libpamtest0-1.0.7-1.2.x86_64.rpm A tool to test PAM applications and PAM modules
Advertisement
Advertisement